Mad Level Manager

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Enumerations Enumerator Properties Events
Public Types | Public Member Functions | Public Attributes | Protected Member Functions | Properties | List of all members
MadLevelManager.MadFreeDraggable Class Reference
Inheritance diagram for MadLevelManager.MadFreeDraggable:

## Public Types
enum | ScaleMode { None, FitToAreaWidth, FitToAreaHeight, Free }

## Public Member Functions
void | MoveToLocal (Vector2 position)
void | MoveToLocal (Vector2 position, MadiTween.EaseType easeType, float time)
Public Member Functions inherited from MadLevelManager.MadNode
T | CreateChild< T > (string name)
T | CreateChild< T > (string name, T template)
MadNode | CreateChild (string name, GameObject template)
T | FindParent< T > ()

## Public Attributes
Bounds | dragBounds = new Bounds(Vector3.zero, new Vector3(400, 400))
ScaleMode | scaleMode
float | scalingMax = 2
float | scalingMin = 0.25f
bool | moveEasing = true
bool | scaleEasing = true
MadiTween.EaseType | scaleEasingType = MadiTween.EaseType.easeOutQuad
float | scaleEasingDuration = 0.5f
Rect | dragArea = new Rect(0, 0, 0, 0)
bool | scaling = false
Public Attributes inherited from MadLevelManager.MadDraggable
MadiTween.EaseType | moveEasingType = MadiTween.EaseType.easeOutQuad
float | moveEasingDuration = 0.5f
Public Attributes inherited from MadLevelManager.MadNode
bool | managed

## Protected Member Functions
override void | OnEnable ()
override void | Start ()
override void | Update ()
Protected Member Functions inherited from MadLevelManager.MadDraggable
virtual void | FixedUpdate ()
virtual void | LateUpdate ()
bool | IsTouchingSingle ()
bool | IsTouchingJustStarted ()
bool | IsTouchingJustEnded ()
Vector2 | TouchPosition ()
void | RegisterDelta (Vector2 delta)
void | Clear ()
Vector2 | Ease (MadiTween.EaseType type, Vector2 start, Vector2 end, float percentage)
Vector3 | Ease (MadiTween.EaseType type, Vector3 start, Vector3 end, float percentage)

## Properties
override Vector2 | progress`[get]`
Properties inherited from MadLevelManager.MadDraggable
float | lastTouchTime`[get, set]`
Vector2 | lastTouchCameraPos`[get, set]`
bool | dragging`[get, set]`
Vector2 | cameraPos`[get, set]`
virtual Vector2 | progress`[get]`
Properties inherited from MadLevelManager.MadNode
static bool | Instantiating`[get, set]`

## Additional Inherited Members
Protected Attributes inherited from MadLevelManager.MadDraggable
Vector2 | lastPosition
Vector2 | interiaForce = Vector2.zero
float | dragDistance
float | deadDistance = 50
Vector2 | cachedCamPos
Vector2 | estaminatedPos
List< Touch > | multiTouches = new List<Touch>()

The documentation for this class was generated from the following file:

- Assets/Mad Level Manager/Scripts/Mad2D/MadFreeDraggable.cs